Index: wc/wc.c
===================================================================
RCS file: /cvs/src/usr.bin/wc/wc.c,v
retrieving revision 1.3
diff -u -u -r1.3 wc.c
--- wc/wc.c	4 Oct 2003 20:36:55 -0000	1.3
+++ wc/wc.c	7 Nov 2004 20:02:17 -0000
@@ -60,7 +60,7 @@
 {
 	int ch, errors, total;
 
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	while ((ch = getopt(argc, argv, "clmw")) != -1)
 		switch((char)ch) {
@@ -95,24 +95,24 @@
 		if (cnt((char *)NULL) != 0)
 			++errors;
 		else
-			(void)printf("\n");
+			printf("\n");
 	}
 	else do {
 		if (cnt(*argv) != 0)
 			++errors;
 		else
-			(void)printf(" %s\n", *argv);
+			printf(" %s\n", *argv);
 		++total;
 	} while(*++argv);
 
 	if (total > 1) {
 		if (doline)
-			(void)printf(" %7qu", tlinect);
+			printf(" %7qu", tlinect);
 		if (doword)
-			(void)printf(" %7qu", twordct);
+			printf(" %7qu", twordct);
 		if (dochar || domulti)
-			(void)printf(" %7qu", tcharct);
-		(void)printf(" total\n");
+			printf(" %7qu", tcharct);
+		printf(" total\n");
 	}
 	exit(errors == 0 ? 0 : 1);
 }
@@ -149,7 +149,7 @@
 			while ((len = read(fd, buf, MAXBSIZE))) {
 				if (len == -1) {
 					warn("%s: read", file);
-					(void)close(fd);
+					close(fd);
 					return (1);
 				}
 				charct += len;
@@ -158,12 +158,12 @@
 						++linect;
 			}
 			tlinect += linect;
-			(void)printf(" %7qu", linect);
+			printf(" %7qu", linect);
 			if (dochar) {
 				tcharct += charct;
-				(void)printf(" %7qu", charct);
+				printf(" %7qu", charct);
 			}
-			(void)close(fd);
+			close(fd);
 			return (0);
 		}
 		/*
@@ -173,13 +173,13 @@
 		if (dochar || domulti) {
 			if (fstat(fd, &sb)) {
 				warn("%s: fstat", file);
-				(void)close(fd);
+				close(fd);
 				return (1);
 			}
 			if (S_ISREG(sb.st_mode)) {
-				(void)printf(" %7lld", (long long)sb.st_size);
+				printf(" %7lld", (long long)sb.st_size);
 				tcharct += sb.st_size;
-				(void)close(fd);
+				close(fd);
 				return (0);
 			}
 		}
@@ -192,7 +192,7 @@
 	while ((nread = read(fd, buf + len, MAXBSIZE - len)) != 0) {
 		if (nread == -1) {
 			warn("%s: read", file);
-			(void)close(fd);
+			close(fd);
 			return (1);
 		}
 		len += nread;
@@ -230,23 +230,23 @@
 	}
 	if (doline) {
 		tlinect += linect;
-		(void)printf(" %7qu", linect);
+		printf(" %7qu", linect);
 	}
 	if (doword) {
 		twordct += wordct;
-		(void)printf(" %7qu", wordct);
+		printf(" %7qu", wordct);
 	}
 	if (dochar || domulti) {
 		tcharct += charct;
-		(void)printf(" %7qu", charct);
+		printf(" %7qu", charct);
 	}
-	(void)close(fd);
+	close(fd);
 	return (0);
 }
 
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: wc [-clmw] [file ...]\n");
+	fprintf(stderr, "usage: wc [-clmw] [file ...]\n");
 	exit(1);
 }
Index: what/what.c
===================================================================
RCS file: /cvs/src/usr.bin/what/what.c,v
retrieving revision 1.3
diff -u -u -r1.3 what.c
--- what/what.c	4 Oct 2003 20:36:55 -0000	1.3
+++ what/what.c	7 Nov 2004 20:02:17 -0000
@@ -81,7 +81,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: what [-s] file ...\n");
+	fprintf(stderr, "usage: what [-s] file ...\n");
 	exit(1);
 }
 
Index: window/cmd.c
===================================================================
RCS file: /cvs/src/usr.bin/window/cmd.c,v
retrieving revision 1.2
diff -u -u -r1.2 cmd.c
--- window/cmd.c	17 Jun 2003 04:29:33 -0000	1.2
+++ window/cmd.c	7 Nov 2004 20:02:17 -0000
@@ -137,16 +137,16 @@
 			c_colon();
 			break;
 		case 'h':
-			(void) wwwrite(selwin, "\b", 1);
+			wwwrite(selwin, "\b", 1);
 			break;
 		case 'j':
-			(void) wwwrite(selwin, "\n", 1);
+			wwwrite(selwin, "\n", 1);
 			break;
 		case 'k':
-			(void) wwwrite(selwin, "\033A", 2);
+			wwwrite(selwin, "\033A", 2);
 			break;
 		case 'l':
-			(void) wwwrite(selwin, "\033C", 2);
+			wwwrite(selwin, "\033C", 2);
 			break;
 		case ctrl('e'):
 			wwscroll(selwin, 1);
@@ -197,7 +197,7 @@
 		default:
 			if (c == escapec) {
 				if (checkproc(selwin) >= 0) {
-					(void) write(selwin->ww_pty,
+					write(selwin->ww_pty,
 						&escapec, 1);
 					out = 1;
 				}
Index: window/cmd1.c
===================================================================
RCS file: /cvs/src/usr.bin/window/cmd1.c,v
retrieving revision 1.2
diff -u -u -r1.2 cmd1.c
--- window/cmd1.c	17 Jun 2003 04:29:33 -0000	1.2
+++ window/cmd1.c	7 Nov 2004 20:02:17 -0000
@@ -104,7 +104,7 @@
 	if (!terse)
 		wwputc('\n', cmdwin);
 	wwcurtowin(cmdwin);
-	(void) openwin(id, row, col, xrow-row+1, xcol-col+1, default_nline,
+	openwin(id, row, col, xrow-row+1, xcol-col+1, default_nline,
 		(char *) 0, 1, 1, default_shellfile, default_shell);
 }
 
Index: window/cmd2.c
===================================================================
RCS file: /cvs/src/usr.bin/window/cmd2.c,v
retrieving revision 1.2
diff -u -u -r1.2 cmd2.c
--- window/cmd2.c	17 Jun 2003 04:29:33 -0000	1.2
+++ window/cmd2.c	7 Nov 2004 20:02:17 -0000
@@ -111,7 +111,7 @@
 	wwprintf(w, "The escape character is %c.\n", escapec);
 	wwprintf(w, "(# represents one of the digits from 1 to 9.)\n\n");
 	if (help_print(w, "Short commands", help_shortcmd) >= 0)
-		(void) help_print(w, "Long commands", help_longcmd);
+		help_print(w, "Long commands", help_longcmd);
 	closeiwin(w);
 }
 
Index: window/cmd7.c
===================================================================
RCS file: /cvs/src/usr.bin/window/cmd7.c,v
retrieving revision 1.2
diff -u -u -r1.2 cmd7.c
--- window/cmd7.c	17 Jun 2003 04:29:33 -0000	1.2
+++ window/cmd7.c	7 Nov 2004 20:02:17 -0000
@@ -268,5 +268,5 @@
 	struct yb *yp;
 
 	for (yp = yb_head; yp; yp = yp->link)
-		(void) write(selwin->ww_pty, yp->line, yp->length);
+		write(selwin->ww_pty, yp->line, yp->length);
 }
Index: window/compress.c
===================================================================
RCS file: /cvs/src/usr.bin/window/compress.c,v
retrieving revision 1.2
diff -u -u -r1.2 compress.c
--- window/compress.c	17 Jun 2003 04:29:33 -0000	1.2
+++ window/compress.c	7 Nov 2004 20:02:17 -0000
@@ -296,7 +296,7 @@
 	tt.tt_flush = ccflush;
 	if (cc_trace) {
 		cc_trace_fp = fopen("window-trace", "a");
-		(void) fcntl(fileno(cc_trace_fp), F_SETFD, 1);
+		fcntl(fileno(cc_trace_fp), F_SETFD, 1);
 	}
 	ccreset();
 }
@@ -320,7 +320,7 @@
 	tt_obe = cc_tt_obe;
 	tt.tt_flush = 0;
 	if (cc_trace_fp != NULL) {
-		(void) fclose(cc_trace_fp);
+		fclose(cc_trace_fp);
 		cc_trace_fp = NULL;
 	}
 }
@@ -333,8 +333,8 @@
 	if (tt_ob != cc_buffer)
 		abort();
 	if (cc_trace_fp != NULL) {
-		(void) fwrite(tt_ob, 1, bufsize, cc_trace_fp);
-		(void) putc(-1, cc_trace_fp);
+		fwrite(tt_ob, 1, bufsize, cc_trace_fp);
+		putc(-1, cc_trace_fp);
 	}
 	tt.tt_flush = 0;
 	(*tt.tt_compress)(1);
@@ -388,7 +388,7 @@
 			}
 			ii++;
 			printf(" (%d", i);
-			(void) fflush(stdout);
+			fflush(stdout);
 		}
 #endif
 		n = cc_sweep(buffer, bufsize, pp, i);
@@ -683,7 +683,7 @@
 			}
 			i++;
 			printf(" (%d", (*pp)->length);
-			(void) fflush(stdout);
+			fflush(stdout);
 		}
 #endif
 		pp += cc_compress(output, pp, flag);
Index: window/context.c
===================================================================
RCS file: /cvs/src/usr.bin/window/context.c,v
retrieving revision 1.2
diff -u -u -r1.2 context.c
--- window/context.c	17 Jun 2003 04:29:33 -0000	1.2
+++ window/context.c	7 Nov 2004 20:02:17 -0000
@@ -90,7 +90,7 @@
 	cx.x_fp = fopen(filename, "r");
 	if (cx.x_fp == 0)
 		goto bad;
-	(void) fcntl(fileno(cx.x_fp), F_SETFD, 1);
+	fcntl(fileno(cx.x_fp), F_SETFD, 1);
 	cx.x_bol = 1;
 	cx.x_lineno = 0;
 	cx.x_errwin = 0;
@@ -123,7 +123,7 @@
 	case X_BUF:
 		break;
 	case X_FILE:
-		(void) fclose(cx.x_fp);
+		fclose(cx.x_fp);
 		str_free(cx.x_filename);
 		break;
 	}
Index: window/error.c
===================================================================
RCS file: /cvs/src/usr.bin/window/error.c,v
retrieving revision 1.2
diff -u -u -r1.2 error.c
--- window/error.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/error.c	7 Nov 2004 20:02:17 -0000
@@ -68,7 +68,7 @@
 	if ((w = x->x_errwin) == 0) {
 		char buf[512];
 
-		(void) sprintf(buf, "Errors from %s", x->x_filename);
+		sprintf(buf, "Errors from %s", x->x_filename);
 		if ((w = x->x_errwin = openiwin(ERRLINES, buf)) == 0) {
 			wwputs("Can't open error window.  ", cmdwin);
 			x->x_noerr = 1;
Index: window/lcmd1.c
===================================================================
RCS file: /cvs/src/usr.bin/window/lcmd1.c,v
retrieving revision 1.3
diff -u -u -r1.3 lcmd1.c
--- window/lcmd1.c	30 Aug 2004 18:06:50 -0000	1.3
+++ window/lcmd1.c	7 Nov 2004 20:02:17 -0000
@@ -310,12 +310,12 @@
 		return;
 	while (a->v_type != V_ERR) {
 		if (a->v_type == V_NUM) {
-			(void) sprintf(buf, "%d", a->v_num);
-			(void) write(w->ww_pty, buf, strlen(buf));
+			sprintf(buf, "%d", a->v_num);
+			write(w->ww_pty, buf, strlen(buf));
 		} else
-			(void) write(w->ww_pty, a->v_str, strlen(a->v_str));
+			write(w->ww_pty, a->v_str, strlen(a->v_str));
 		if ((++a)->v_type != V_ERR)
-			(void) write(w->ww_pty, " ", 1);
+			write(w->ww_pty, " ", 1);
 	}
 }
 
Index: window/lcmd2.c
===================================================================
RCS file: /cvs/src/usr.bin/window/lcmd2.c,v
retrieving revision 1.3
diff -u -u -r1.3 lcmd2.c
--- window/lcmd2.c	30 Aug 2004 18:06:50 -0000	1.3
+++ window/lcmd2.c	7 Nov 2004 20:02:17 -0000
@@ -116,13 +116,13 @@
 		return;
 	}
 
-	(void) gettimeofday(&timeval, (struct timezone *)0);
+	gettimeofday(&timeval, (struct timezone *)0);
 	timeval.tv_sec -= starttime.tv_sec;
 	if ((timeval.tv_usec -= starttime.tv_usec) < 0) {
 		timeval.tv_sec--;
 		timeval.tv_usec += 1000000;
 	}
-	(void) getrusage(a->v_type == V_STR
+	getrusage(a->v_type == V_STR
 			&& str_match(a->v_str, "children", 1)
 		? RUSAGE_CHILDREN : RUSAGE_SELF, &rusage);
 
@@ -158,7 +158,7 @@
 	register char *p = buf;
 
 	if (t->tv_sec > 60*60) {
-		(void) sprintf(p, "%ld:", t->tv_sec / (60*60));
+		sprintf(p, "%ld:", t->tv_sec / (60*60));
 		while (*p++)
 			;
 		p--;
@@ -166,14 +166,14 @@
 		fill++;
 	}
 	if (t->tv_sec > 60) {
-		(void) sprintf(p, fill ? "%02ld:" : "%ld:", t->tv_sec / 60);
+		sprintf(p, fill ? "%02ld:" : "%ld:", t->tv_sec / 60);
 		while (*p++)
 			;
 		p--;
 		t->tv_sec %= 60;
 		fill++;
 	}
-	(void) sprintf(p, fill ? "%02ld.%02d" : "%ld.%02ld",
+	sprintf(p, fill ? "%02ld.%02d" : "%ld.%02ld",
 		t->tv_sec, t->tv_usec / 10000);
 	return buf;
 }
@@ -387,12 +387,12 @@
 		return;
 	while (a->v_type != V_ERR) {
 		if (a->v_type == V_NUM) {
-			(void) sprintf(buf, "%d", a->v_num);
-			(void) wwwrite(w, buf, strlen(buf));
+			sprintf(buf, "%d", a->v_num);
+			wwwrite(w, buf, strlen(buf));
 		} else
-			(void) wwwrite(w, a->v_str, strlen(a->v_str));
+			wwwrite(w, a->v_str, strlen(a->v_str));
 		if ((++a)->v_type != V_ERR)
-			(void) wwwrite(w, " ", 1);
+			wwwrite(w, " ", 1);
 	}
-	(void) wwwrite(w, "\r\n", 2);
+	wwwrite(w, "\r\n", 2);
 }
Index: window/main.c
===================================================================
RCS file: /cvs/src/usr.bin/window/main.c,v
retrieving revision 1.3
diff -u -u -r1.3 main.c
--- window/main.c	30 Aug 2004 18:06:50 -0000	1.3
+++ window/main.c	7 Nov 2004 20:02:17 -0000
@@ -75,9 +75,9 @@
 				break;
 			case 'c':
 				if (cmd != 0) {
-					(void) fprintf(stderr,
+					fprintf(stderr,
 						"Only one -c allowed.\n");
-					(void) usage();
+					usage();
 				}
 				cmd = next(argv);
 				break;
@@ -97,15 +97,15 @@
 				xflag++;
 				break;
 			default:
-				(void) usage();
+				usage();
 			}
 		} else
-			(void) usage();
+			usage();
 	}
 	if ((p = getenv("SHELL")) == 0)
 		p = _PATH_BSHELL;
 	if ((default_shellfile = str_cpy(p)) == 0) {
-		(void) fprintf(stderr, "Out of memory.\n");
+		fprintf(stderr, "Out of memory.\n");
 		exit(1);
 	}
 	if (p = strrchr(default_shellfile, '/'))
@@ -116,10 +116,10 @@
 	default_shell[1] = 0;
 	default_nline = NLINE;
 	default_smooth = 1;
-	(void) gettimeofday(&starttime, (struct timezone *)0);
-	(void) setlocale(LC_CTYPE, "");
+	gettimeofday(&starttime, (struct timezone *)0);
+	setlocale(LC_CTYPE, "");
 	if (wwinit() < 0) {
-		(void) fprintf(stderr, "%s.\n", wwerror());
+		fprintf(stderr, "%s.\n", wwerror());
 		exit(1);
 	}
 
@@ -145,12 +145,12 @@
 	}
 #endif
 	if (debug || xflag)
-		(void) wwsettty(0, &wwnewtty);
+		wwsettty(0, &wwnewtty);
 
 	if ((cmdwin = wwopen(wwbaud > 2400 ? WWO_REVERSE : 0, 1, wwncol,
 			     0, 0, 0)) == 0) {
 		wwflush();
-		(void) fprintf(stderr, "%s.\r\n", wwerror());
+		fprintf(stderr, "%s.\r\n", wwerror());
 		goto bad;
 	}
 	cmdwin->ww_mapnl = 1;
@@ -160,13 +160,13 @@
 	if ((framewin = wwopen(WWO_GLASS|WWO_FRAME, wwnrow, wwncol, 0, 0, 0))
 	    == 0) {
 		wwflush();
-		(void) fprintf(stderr, "%s.\r\n", wwerror());
+		fprintf(stderr, "%s.\r\n", wwerror());
 		goto bad;
 	}
 	wwadd(framewin, &wwhead);
 	if ((boxwin = wwopen(WWO_GLASS, wwnrow, wwncol, 0, 0, 0)) == 0) {
 		wwflush();
-		(void) fprintf(stderr, "%s.\r\n", wwerror());
+		fprintf(stderr, "%s.\r\n", wwerror());
 		goto bad;
 	}
 	fgwin = framewin;
@@ -178,7 +178,7 @@
 	setterse(tflag);
 	setcmd(1);
 	if (cmd != 0)
-		(void) dolongcmd(cmd, (struct value *)0, 0);
+		dolongcmd(cmd, (struct value *)0, 0);
 	if (!fflag)
 		if (dflag || doconfig() < 0)
 			dodefault();
@@ -194,7 +194,7 @@
 
 usage()
 {
-	(void) fprintf(stderr, "usage: window [-e escape-char] [-c command] [-t] [-f] [-d]\n");
+	fprintf(stderr, "usage: window [-e escape-char] [-c command] [-t] [-f] [-d]\n");
 	exit(1);
 	return 0;			/* for lint */
 }
Index: window/mloop.c
===================================================================
RCS file: /cvs/src/usr.bin/window/mloop.c,v
retrieving revision 1.2
diff -u -u -r1.2 mloop.c
--- window/mloop.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/mloop.c	7 Nov 2004 20:02:17 -0000
@@ -51,7 +51,7 @@
 				closewin(wwcurwin);
 			setcmd(1);
 			if (wwpeekc() == escapec)
-				(void) wwgetc();
+				wwgetc();
 			error("Process died.");
 		} else {
 			register struct ww *w = wwcurwin;
@@ -69,14 +69,14 @@
 #if defined(sun) && !defined(BSD)
 				/* workaround for SunOS pty bug */
 				while (--n >= 0)
-					(void) write(w->ww_pty, wwibp++, 1);
+					write(w->ww_pty, wwibp++, 1);
 #else
-				(void) write(w->ww_pty, wwibp, n);
+				write(w->ww_pty, wwibp, n);
 				wwibp = p;
 #endif
 			}
 			if (wwpeekc() == escapec) {
-				(void) wwgetc();
+				wwgetc();
 				setcmd(1);
 			}
 		}
Index: window/parser1.c
===================================================================
RCS file: /cvs/src/usr.bin/window/parser1.c,v
retrieving revision 1.2
diff -u -u -r1.2 parser1.c
--- window/parser1.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/parser1.c	7 Nov 2004 20:02:17 -0000
@@ -44,7 +44,7 @@
 {
 	char flag = 1;
 
-	(void) s_gettok();
+	s_gettok();
 	for (;;) {
 		p_statementlist(flag);
 		if (token == T_EOF || p_abort())
@@ -54,10 +54,10 @@
 		while (token != T_EOL && token != T_EOF) {
 			if (token == T_STR)
 				str_free(token_str);
-			(void) s_gettok();
+			s_gettok();
 		}
 		if (token == T_EOL)
-			(void) s_gettok();
+			s_gettok();
 		p_clearerr();
 	}
 }
@@ -74,7 +74,7 @@
 {
 	switch (token) {
 	case T_EOL:
-		(void) s_gettok();
+		s_gettok();
 		return 0;
 	case T_IF:
 		return p_if(flag);
@@ -90,7 +90,7 @@
 	char true = 0;
 
 top:
-	(void) s_gettok();
+	s_gettok();
 
 	if (p_expr(&t, flag) < 0) {
 		p_synerror();
@@ -113,7 +113,7 @@
 		return -1;
 	}
 
-	(void) s_gettok();
+	s_gettok();
 	p_statementlist(flag && true);
 	if (p_erred())
 		return -1;
@@ -122,14 +122,14 @@
 		goto top;
 
 	if (token == T_ELSE) {
-		(void) s_gettok();
+		s_gettok();
 		p_statementlist(flag && !true);
 		if (p_erred())
 			return -1;
 	}
 
 	if (token == T_ENDIF) {
-		(void) s_gettok();
+		s_gettok();
 		return 0;
 	}
 
@@ -148,12 +148,12 @@
 	case T_NUM:
 		t.v_type = V_NUM;
 		t.v_num = token_num;
-		(void) s_gettok();
+		s_gettok();
 		break;
 	case T_STR:
 		t.v_type = V_STR;
 		t.v_str = token_str;
-		(void) s_gettok();
+		s_gettok();
 		break;
 	default:
 		if (p_expr(&t, flag) < 0)
@@ -175,7 +175,7 @@
 		str_free(cmd);
 	val_free(t);
 	if (token == T_EOL)
-		(void) s_gettok();
+		s_gettok();
 	else if (token != T_EOF) {
 		p_synerror();
 		return -1;
Index: window/parser2.c
===================================================================
RCS file: /cvs/src/usr.bin/window/parser2.c,v
retrieving revision 1.2
diff -u -u -r1.2 parser2.c
--- window/parser2.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/parser2.c	7 Nov 2004 20:02:17 -0000
@@ -74,7 +74,7 @@
 		vp->v_type = V_ERR;
 
 	if (token == T_LP)
-		(void) s_gettok();
+		s_gettok();
 	i = 0;
 	for (;;) {
 		ap = 0;
@@ -100,7 +100,7 @@
 			if (p_convstr(&t) < 0)
 				goto abort;
 			tmp = t.v_type == V_STR ? t.v_str : 0;
-			(void) s_gettok();
+			s_gettok();
 			if (p_expr(&t, flag) < 0) {
 				if (tmp)
 					str_free(tmp);
@@ -170,13 +170,13 @@
 		else
 			val_free(t);
 		if (token == T_COMMA)
-			(void) s_gettok();
+			s_gettok();
 	}
 
 	if (p_erred())
 		flag = 0;
 	if (token == T_RP)
-		(void) s_gettok();
+		s_gettok();
 	else if (token != T_EOL && token != T_EOF)
 		flag = 0;		/* look for legal follow set */
 	v->v_type = V_ERR;
@@ -211,7 +211,7 @@
 struct value *v;
 char flag;
 {
-	(void) s_gettok();
+	s_gettok();
 
 	if (p_expr(v, flag) < 0) {
 		p_synerror();
Index: window/parser3.c
===================================================================
RCS file: /cvs/src/usr.bin/window/parser3.c,v
retrieving revision 1.2
diff -u -u -r1.2 parser3.c
--- window/parser3.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/parser3.c	7 Nov 2004 20:02:17 -0000
@@ -108,7 +108,7 @@
 		flag = 0;
 		break;
 	}
-	(void) s_gettok();
+	s_gettok();
 	v->v_type = V_ERR;
 	if ((flag && true ? p_expr1(v, 1) : p_expr1(&t, 0)) < 0)
 		return -1;
@@ -117,7 +117,7 @@
 		p_synerror();
 		return -1;
 	}
-	(void) s_gettok();
+	s_gettok();
 	return flag && !true ? p_expr1(v, 1) : p_expr1(&t, 0);
 }
 
@@ -149,7 +149,7 @@
 		}
 		if (token != T_OROR)
 			return 0;
-		(void) s_gettok();
+		s_gettok();
 		if (p_expr2(v, flag && !true) < 0)
 			return -1;
 	}
@@ -183,7 +183,7 @@
 		}
 		if (token != T_ANDAND)
 			return 0;
-		(void) s_gettok();
+		s_gettok();
 		if (p_expr3_10(3, v, flag && true) < 0)
 			return -1;
 	}
Index: window/parser4.c
===================================================================
RCS file: /cvs/src/usr.bin/window/parser4.c,v
retrieving revision 1.2
diff -u -u -r1.2 parser4.c
--- window/parser4.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/parser4.c	7 Nov 2004 20:02:17 -0000
@@ -142,7 +142,7 @@
 			flag = 0;
 
 		op = token;
-		(void) s_gettok();
+		s_gettok();
 		if ((level == 10 ? p_expr11(&r, flag)
 		     : p_expr3_10(level + 1, &r, flag)) < 0) {
 			p_synerror();
Index: window/parser5.c
===================================================================
RCS file: /cvs/src/usr.bin/window/parser5.c,v
retrieving revision 1.2
diff -u -u -r1.2 parser5.c
--- window/parser5.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/parser5.c	7 Nov 2004 20:02:17 -0000
@@ -74,7 +74,7 @@
 		return p_expr12(v, flag);
 	}
 	op = token;
-	(void) s_gettok();
+	s_gettok();
 	if (p_expr11(v, flag) < 0)
 		return -1;
 	switch (v->v_type) {
@@ -157,7 +157,7 @@
 			v->v_type = V_NUM;
 			v->v_num = token_num;
 		}
-		(void) s_gettok();
+		s_gettok();
 		break;
 	case T_STR:
 		if (flag) {
@@ -165,10 +165,10 @@
 			v->v_str = token_str;
 		} else
 			str_free(token_str);
-		(void) s_gettok();
+		s_gettok();
 		break;
 	case T_LP:
-		(void) s_gettok();
+		s_gettok();
 		if (p_expr(v, flag) < 0) {
 			p_synerror();
 			return -1;
@@ -178,7 +178,7 @@
 			val_free(*v);
 			return -1;
 		}
-		(void) s_gettok();
+		s_gettok();
 		break;
 	default:
 		return -1;
Index: window/scanner.c
===================================================================
RCS file: /cvs/src/usr.bin/window/scanner.c,v
retrieving revision 1.2
diff -u -u -r1.2 scanner.c
--- window/scanner.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/scanner.c	7 Nov 2004 20:02:17 -0000
@@ -230,7 +230,7 @@
 		break;
 	case 1:				/* got # */
 		if (c == '\n' || c == EOF) {
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			state = 0;
 		}
 		break;
@@ -245,7 +245,7 @@
 		case '\\':
 			switch (c = s_gettok1()) {
 			case -2:
-				(void) s_ungetc(' ');
+				s_ungetc(' ');
 			case -1:
 				break;
 			default:
@@ -259,7 +259,7 @@
 					*p++ = c;
 				break;
 			}
-			(void) s_ungetc(c);
+			s_ungetc(c);
 		case EOF:
 			*p = 0;
 			cx.x_token = T_STR;
@@ -298,7 +298,7 @@
 	case 3:				/* " quoted string */
 		switch (c) {
 		case '\n':
-			(void) s_ungetc(c);
+			s_ungetc(c);
 		case EOF:
 		case '"':
 			state = 2;
@@ -322,7 +322,7 @@
 	case 4:				/* ' quoted string */
 		switch (c) {
 		case '\n':
-			(void) s_ungetc(c);
+			s_ungetc(c);
 		case EOF:
 		case '\'':
 			state = 2;
@@ -360,7 +360,7 @@
 			state = 11;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			state = -1;
 			cx.x_token = T_NUM;
 		}
@@ -372,7 +372,7 @@
 			cx.x_val.v_num = cx.x_val.v_num * 10 + c - '0';
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			state = -1;
 			cx.x_token = T_NUM;
 		}
@@ -390,7 +390,7 @@
 			cx.x_val.v_num = cx.x_val.v_num * 16 + c - 'A' + 10;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			state = -1;
 			cx.x_token = T_NUM;
 		}
@@ -402,7 +402,7 @@
 			cx.x_val.v_num = cx.x_val.v_num * 8 + c - '0';
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			state = -1;
 			cx.x_token = T_NUM;
 		}
@@ -418,7 +418,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_GT;
 			state = -1;
 		}
@@ -434,7 +434,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_LT;
 			state = -1;
 		}
@@ -446,7 +446,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_ASSIGN;
 			state = -1;
 		}
@@ -458,7 +458,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_NOT;
 			state = -1;
 		}
@@ -470,7 +470,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_AND;
 			state = -1;
 		}
@@ -482,7 +482,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_OR;
 			state = -1;
 		}
@@ -494,7 +494,7 @@
 			state = -1;
 			break;
 		default:
-			(void) s_ungetc(c);
+			s_ungetc(c);
 			cx.x_token = T_DOLLAR;
 			state = -1;
 		}
@@ -537,13 +537,13 @@
 	n = c - '0';
 	c = s_getc();			/* got \[0-7] */
 	if (c < '0' || c > '7') {
-		(void) s_ungetc(c);
+		s_ungetc(c);
 		return n;
 	}
 	n = n * 8 + c - '0';
 	c = s_getc();			/* got \[0-7][0-7] */
 	if (c < '0' || c > '7') {
-		(void) s_ungetc(c);
+		s_ungetc(c);
 		return n;
 	}
 	return n * 8 + c - '0';
Index: window/startup.c
===================================================================
RCS file: /cvs/src/usr.bin/window/startup.c,v
retrieving revision 1.2
diff -u -u -r1.2 startup.c
--- window/startup.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/startup.c	7 Nov 2004 20:02:17 -0000
@@ -52,7 +52,7 @@
 
 	if ((home = getenv("HOME")) == 0)
 		home = ".";
-	(void) sprintf(buf, "%.*s/%s",
+	sprintf(buf, "%.*s/%s",
 		(sizeof buf - sizeof runcom) / sizeof (char) - 1,
 		home, runcom);
 	return dosource(buf);
@@ -78,15 +78,15 @@
 setvars()
 {
 	/* try to use a random ordering to balance the tree */
-	(void) var_setnum("nrow", wwnrow);
-	(void) var_setnum("ncol", wwncol);
-	(void) var_setnum("baud", wwbaud);
-	(void) var_setnum("m_rev", WWM_REV);
-	(void) var_setnum("m_blk", WWM_BLK);
-	(void) var_setnum("m_ul", WWM_UL);
-	(void) var_setnum("m_grp", WWM_GRP);
-	(void) var_setnum("m_dim", WWM_DIM);
-	(void) var_setnum("m_usr", WWM_USR);
-	(void) var_setstr("term", wwterm);
-	(void) var_setnum("modes", wwavailmodes);
+	var_setnum("nrow", wwnrow);
+	var_setnum("ncol", wwncol);
+	var_setnum("baud", wwbaud);
+	var_setnum("m_rev", WWM_REV);
+	var_setnum("m_blk", WWM_BLK);
+	var_setnum("m_ul", WWM_UL);
+	var_setnum("m_grp", WWM_GRP);
+	var_setnum("m_dim", WWM_DIM);
+	var_setnum("m_usr", WWM_USR);
+	var_setstr("term", wwterm);
+	var_setnum("modes", wwavailmodes);
 }
Index: window/string.c
===================================================================
RCS file: /cvs/src/usr.bin/window/string.c,v
retrieving revision 1.2
diff -u -u -r1.2 string.c
--- window/string.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/string.c	7 Nov 2004 20:02:17 -0000
@@ -84,7 +84,7 @@
 {
 	char buf[30];
 
-	(void) sprintf(buf, "%d", i);
+	sprintf(buf, "%d", i);
 	return str_cpy(buf);
 }
 
Index: window/ttzapple.c
===================================================================
RCS file: /cvs/src/usr.bin/window/ttzapple.c,v
retrieving revision 1.2
diff -u -u -r1.2 ttzapple.c
--- window/ttzapple.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/ttzapple.c	7 Nov 2004 20:02:17 -0000
@@ -327,7 +327,7 @@
 	if (zz_debug) {
 		char buf[100];
 		zz_setmodes(WWM_REV);
-		(void) sprintf(buf, "%02x=", t);
+		sprintf(buf, "%02x=", t);
 		ttputs(buf);
 		tt.tt_col += 3;
 	}
@@ -347,7 +347,7 @@
 	if (zz_debug) {
 		char buf[100];
 		zz_setmodes(WWM_REV);
-		(void) sprintf(buf, "%02x>", t);
+		sprintf(buf, "%02x>", t);
 		ttputs(buf);
 		tt.tt_col += 3;
 	}
Index: window/win.c
===================================================================
RCS file: /cvs/src/usr.bin/window/win.c,v
retrieving revision 1.2
diff -u -u -r1.2 win.c
--- window/win.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/win.c	7 Nov 2004 20:02:17 -0000
@@ -181,7 +181,7 @@
 	w->ww_unctrl = 1;
 	w->ww_id = -1;
 	w->ww_center = 1;
-	(void) setlabel(w, label);
+	setlabel(w, label);
 	addwin(w, 1);
 	reframe();
 	return w;
@@ -333,7 +333,7 @@
 waitnl(w)
 struct ww *w;
 {
-	(void) waitnl1(w, "[Type any key to continue]");
+	waitnl1(w, "[Type any key to continue]");
 }
 
 more(w, always)
Index: window/wwclose.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwclose.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwclose.c
--- window/wwclose.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwclose.c	7 Nov 2004 20:02:17 -0000
@@ -45,9 +45,9 @@
 {
 	wwindex[w->ww_index] = 0;
 	if (w->ww_pty >= 0)
-		(void) close(w->ww_pty);
+		close(w->ww_pty);
 	if (w->ww_socket >= 0)
-		(void) close(w->ww_socket);
+		close(w->ww_socket);
 	wwfree((char **)w->ww_win, w->ww_w.t);
 	wwfree((char **)w->ww_buf, w->ww_b.t);
 	if (w->ww_fmap != 0)
Index: window/wwdump.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwdump.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwdump.c
--- window/wwdump.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwdump.c	7 Nov 2004 20:02:17 -0000
@@ -68,7 +68,7 @@
 	(*tt.tt_clear)();
 	for (i = w->ww_i.t; i < w->ww_i.b; i++) {
 		(*tt.tt_move)(i, w->ww_i.l);
-		(void) sprintf(buf, "%d", w->ww_nvis[i]);
+		sprintf(buf, "%d", w->ww_nvis[i]);
 		(*tt.tt_write)(buf, strlen(buf));
 	}
 }
Index: window/wwend.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwend.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwend.c
--- window/wwend.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwend.c	7 Nov 2004 20:02:17 -0000
@@ -46,12 +46,12 @@
 wwend(exit)
 {
 	if (tt.tt_checkpoint) {
-		(void) alarm(0);
+		alarm(0);
 		wwdocheckpoint = 0;
 	}
 	xxend();
-	(void) signal(SIGIO, SIG_DFL);
-	(void) wwsettty(0, &wwoldtty);
+	signal(SIGIO, SIG_DFL);
+	wwsettty(0, &wwoldtty);
 #ifdef TERMINFO
 	if (exit)
 		wwterminfoend();
Index: window/wwenviron.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwenviron.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwenviron.c
--- window/wwenviron.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwenviron.c	7 Nov 2004 20:02:17 -0000
@@ -61,7 +61,7 @@
 		goto bad;
 	if (ioctl(i, TIOCNOTTY, (char *)0) < 0)
 		goto bad;
-	(void) close(i);
+	close(i);
 #endif
 	if ((i = wp->ww_socket) < 0) {
 		if ((i = open(wp->ww_ttyname, 2)) < 0)
@@ -71,30 +71,30 @@
 		if (wwsetttysize(i, wp->ww_w.nr, wp->ww_w.nc) < 0)
 			goto bad;
 	}
-	(void) dup2(i, 0);
-	(void) dup2(i, 1);
-	(void) dup2(i, 2);
-	(void) close(i);
+	dup2(i, 0);
+	dup2(i, 1);
+	dup2(i, 2);
+	close(i);
 #ifdef TIOCSCTTY
-	(void) setsid();
-	(void) ioctl(0, TIOCSCTTY, 0);
+	setsid();
+	ioctl(0, TIOCSCTTY, 0);
 #else
-	(void) ioctl(0, TIOCSPGRP, (char *)&pgrp);
-	(void) setpgrp(pgrp, pgrp);
+	ioctl(0, TIOCSPGRP, (char *)&pgrp);
+	setpgrp(pgrp, pgrp);
 #endif
 	/* SIGPIPE is the only one we ignore */
-	(void) signal(SIGPIPE, SIG_DFL);
-	(void) sigsetmask(0);
+	signal(SIGPIPE, SIG_DFL);
+	sigsetmask(0);
 	/*
 	 * Two conditions that make destructive setenv ok:
 	 * 1. setenv() copies the string,
 	 * 2. we've already called tgetent which copies the termcap entry.
 	 */
-	(void) sprintf(buf, "%sco#%d:li#%d:%s",
+	sprintf(buf, "%sco#%d:li#%d:%s",
 		WWT_TERMCAP, wp->ww_w.nc, wp->ww_w.nr, wwwintermcap);
-	(void) setenv("TERMCAP", buf, 1);
-	(void) sprintf(buf, "%d", wp->ww_id + 1);
-	(void) setenv("WINDOW_ID", buf, 1);
+	setenv("TERMCAP", buf, 1);
+	sprintf(buf, "%d", wp->ww_id + 1);
+	setenv("WINDOW_ID", buf, 1);
 	return 0;
 bad:
 	wwerrno = WWE_SYS;
Index: window/wwflush.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwflush.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwflush.c
--- window/wwflush.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwflush.c	7 Nov 2004 20:02:17 -0000
@@ -70,25 +70,25 @@
 	do {
 		(*tt.tt_checkpoint)();
 #ifndef OLD_TTY
-		(void) tcdrain(1);
+		tcdrain(1);
 #endif
-		(void) alarm(3);
+		alarm(3);
 		for (wwdocheckpoint = 0; !wwdocheckpoint && tt.tt_ack == 0;)
-			(void) sigpause(s);
+			sigpause(s);
 	} while (tt.tt_ack == 0);
-	(void) alarm(0);
+	alarm(0);
 	wwdocheckpoint = 0;
 	if (tt.tt_ack < 0) {
 		wwcopyscreen(wwcs, wwos);
-		(void) alarm(1);
+		alarm(1);
 		wwreset();
 		wwupdate();
 		wwflush();
 	} else {
 		wwcopyscreen(wwos, wwcs);
-		(void) alarm(3);
+		alarm(3);
 	}
-	(void) sigsetmask(s);
+	sigsetmask(s);
 }
 
 wwcopyscreen(s1, s2)
Index: window/wwgets.c
===================================================================
RCS file: /cvs/src/usr.bin/window/wwgets.c,v
retrieving revision 1.2
diff -u -u -r1.2 wwgets.c
--- window/wwgets.c	17 Jun 2003 04:29:34 -0000	1.2
+++ window/wwgets.c	7 Nov 2004 20:02:17 -0000
@@ -108,5 +108,5 @@
 	register i;
 
 	for (i = isctrl(c) ? strlen(unctrl(c)) : 1; --i >= 0;)
-		(void) wwwrite(w, "\b \b", 3);
+		wwwrite(w, "\b \b", 3);
 }
